# Class RcsbView<T, U>

#### Type Parameters

- #### T

- #### U

#### Hierarchy

- AbstractView<RcsbViewInterface<T, U>, {}>
  - RcsbView

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:35

#####
Index

### Constructors

constructor

### Properties

boardConfigContainer
callbackManager
componentDivId
pfvFactory
rcsbFvContainer
rcsbFvDivId

### Methods

additionalContent
componentDidMount
componentWillUnmount
elementClickCallback
getwidth
highlightHoverCallback
modelChangeCallback
pfvChangeCallback
pluginSelectCallback
render
representationChangeCallback
selectionChangeCallback
structureHoverCallback
structureSelectionCallback
updateDimensions

## Constructors

### constructor

- new RcsbView<T, U>(props): RcsbView<T, U>

- #### Type Parameters

  - #### T

  - #### U

  #### Parameters

  - ##### props: RcsbViewInterface<T, U> & AbstractViewInterface

  #### Returns RcsbView<T, U>

  Overrides AbstractView.constructor

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:42

## Properties

### `Private` boardConfigContainer

boardConfigContainer: DataContainer<Partial<RcsbFvBoardConfigInterface>> = ...

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:37

### `Private` `Readonly` callbackManager

callbackManager: CallbackManagerInterface<U>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:39

### `Protected` `Readonly` componentDivId

componentDivId: string

Inherited from AbstractView.componentDivId

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:19

### `Private` `Readonly` pfvFactory

pfvFactory: PfvManagerInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:40

### `Private` rcsbFvContainer

rcsbFvContainer: DataContainer<RcsbFvModulePublicInterface<{}, {}, {}, {}>> = ...

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:38

### `Protected` `Readonly` rcsbFvDivId

rcsbFvDivId: string

Inherited from AbstractView.rcsbFvDivId

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:20

## Methods

### additionalContent

- additionalContent(): Element

- #### Returns Element

  Overrides AbstractView.additionalContent

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:62

### componentDidMount

- componentDidMount(): Promise<void>

- #### Returns Promise<void>

  Overrides AbstractView.componentDidMount

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:66

### componentWillUnmount

- componentWillUnmount(): void

- #### Returns void

  Overrides AbstractView.componentWillUnmount

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:94

### `Private` elementClickCallback

- elementClickCallback(e?): void

- #### Parameters

  - ##### `Optional` e: RcsbFvTrackDataElementInterface

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:147

### `Private` getwidth

- getwidth(): number

- #### Returns number

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:151

### `Private` highlightHoverCallback

- highlightHoverCallback(selection): void

- #### Parameters

  - ##### selection: RcsbFvTrackDataElementInterface[]

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:139

### modelChangeCallback

- modelChangeCallback(defaultAuthId?, defaultOperatorName?): Promise<void>

- #### Parameters

  - ##### `Optional` defaultAuthId: string

  - ##### `Optional` defaultOperatorName: string

  #### Returns Promise<void>

  Overrides AbstractView.modelChangeCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:127

### `Private` pfvChangeCallback

- pfvChangeCallback(context): Promise<void>

- #### Parameters

  - ##### context: U

  #### Returns Promise<void>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:135

### `Private` pluginSelectCallback

- pluginSelectCallback(mode): Promise<void>

- #### Parameters

  - ##### mode: "select" | "hover"

  #### Returns Promise<void>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:131

### render

- render(): Element

- #### Returns Element

  Inherited from AbstractView.render

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:29

### representationChangeCallback

- representationChangeCallback(): void

- #### Returns void

  Overrides AbstractView.representationChangeCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:108

### `Private` selectionChangeCallback

- selectionChangeCallback(selection): void

- #### Parameters

  - ##### selection: RcsbFvTrackDataElementInterface[]

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:143

### structureHoverCallback

- structureHoverCallback(): Promise<void>

- #### Returns Promise<void>

  Overrides AbstractView.structureHoverCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:104

### structureSelectionCallback

- structureSelectionCallback(): Promise<void>

- #### Returns Promise<void>

  Overrides AbstractView.structureSelectionCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:100

### updateDimensions

- updateDimensions(): Promise<void>

- #### Returns Promise<void>

  Overrides AbstractView.updateDimensions

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:112

Generated using TypeDoc